ChangeSet 1.1275, 2003/06/04 17:37:54-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in arch/arm/kernel/bios32.c


 arch/arm/kernel/bios32.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/arch/arm/kernel/bios32.c b/arch/arm/kernel/bios32.c
--- a/arch/arm/kernel/bios32.c	Wed Jun  4 18:08:29 2003
+++ b/arch/arm/kernel/bios32.c	Wed Jun  4 18:08:29 2003
@@ -22,9 +22,9 @@
 
 void pcibios_report_status(u_int status_mask, int warn)
 {
-	struct pci_dev *dev;
+	struct pci_dev *dev = NULL;
 
-	pci_for_each_dev(dev) {
+	while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL) {
 		u16 status;
 
 		/*
